build:
  stage: build
  image: $CI_REGISTRY/gaia-x/toolset/gaia-x-document-template:main-latest
  script:
    - /document_template/prepare_template.sh
    - mkdocs build
    - mkdir -p public/pdf/
    - python3 -m http.server --directory public 2>&1 &
    - sleep 2s # python server starts under 1s
    - node export_to_pdf.js http://127.0.0.1:8000/print_page/index.html public/pdf/document.pdf
    - exiftool -Keywords="$CI_COMMIT_SHORT_SHA" public/pdf/document.pdf
    - exiftool -Creator="$CI_JOB_URL" public/pdf/document.pdf
  artifacts:
    paths:
      - public

pages:
  stage: .post
  script:
    - date
  artifacts:
    paths:
      - public # do not change it https://gitlab.com/gitlab-org/gitlab/-/issues/1719#note_30008931
  only:
    - master
    - main
